%define name ftpsync
%define version 1.81
%define release %mkrel 2

Summary: Tool to synchronize a remote FTP-served with a local directory
Name:    %{name}
Version: %{version}
Release: %{release}
Source0: http://www.linux-france.org/prj/ftpsync/dist/%{name}-%{version}.tgz
License: GPLv2
Group:   Networking/File transfer
Url:     http://www.linux-france.org/prj/ftpsync/


BuildArch: noarch

Requires: perl

%description
The command ftpsync is a tool allowing incremental and recursive FTP
transfer from a local directory to a remote FTP-served directory.

We sometimes need to mirror a set of files on a remote ftp server. The
perfect tool (rsync) is not always available.

Developing a script invoking a standard FTP client software will cause
useless transfers (all files again and again even if they have not
changed), and taking sub-directories into account will not be easy.

ftpsync is the adequate tool because it reduces the amount of data
transferred by not transferring a given local file if the remote copy
has an newer date (so the copy is already done and up to date) and the
same size (transfer completely done). The difference between system
clocks is taken into account using the ftp protocol. ftpsync is
somewhat "like" the rsync command but it uses the FTP protocol and
only transfers local files to a remote FTP server. Moreover it
implements the missing 'recursive PUT' FTP command.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_bindir}
cp -f ftpsync %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{_bindir}/ftpsync


%files
%doc README VERSION GPL INSTALL TODO ChangeLog CREDITS
%{_bindir}/ftpsync


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.81-2.mga3
+ Revision: 350977
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 01 2012 malo <malo> 1.81-1.mga2
+ Revision: 203764
- new version 1.81
- spec clean-up after import from Mandriva
- imported package ftpsync

